
/**
 * Ein Stack basierend auf einem Array
 * 
 * @author Rainer Helfrich
 * @version Oktober 2020
 */
public class ArrayStack<T> extends Stack<T>
{
    /**
     * Gibt das oberste Element des Stacks zurück (falls der Stack nicht leer ist)
     * @return Das oberste Element
     */
    public T top()
    {
        //# TODO: Hier ist etwas zu tun!
        return null;
    }
    
    /**
     * Entfernt das oberste Element vom Stack (falls der Stack nicht leer ist) und gibt es zurück
     * @return Das bisherige oberste Element
     */
    public T pop()
    {
        //# TODO: Hier ist etwas zu tun!
        return null;
    }
    
    /**
     * Legt ein neues Element auf den Stack
     * @param x Das neue Element
     */
    public void push(T wert)
    {
        //# TODO: Hier ist etwas zu tun!
    }
    
    /**
     * Gibt zurück, ob der Stack leer ist
     * @return true, wenn der Stack leer ist; false sonst
     */
    public boolean isEmpty()
    {
        //# TODO: Hier ist etwas zu tun!
        return false;
    }
}
